/*
******************************************************************
Default und Custom CSS for Module Form

(c) sinntun.codes
******************************************************************
*/


/*****************************************************************
**** defaultform
******************************************************************/

.defaultform {
}



/*** form-info / form-error
******************************************************************/

.form-info {
  margin-bottom: 20px;
}

.form-error p {
  padding: 12px;
  border: 1px solid #ff0000;
  display: block;
  margin-bottom: 20px;
}


.form-row input.error {
  border: 1px solid #ff0000;
}




/*****************************************************************
**** form-rows
******************************************************************/

.form-row {
  margin-bottom: 20px;
  width: 100%;
}



/*****************************************************************
**** FormElements
******************************************************************/

.form-row label {
  float: left;
  width: 200px;
  padding: 5px 0;
}

/* honeypot */
.form-row.email,
.form-row.email2,
.form-row.mailmail,
.form-row.no-display {
  display: none;
}



/*** text, textarea
******************************************************************/

.defaultform textarea {
  display: block;
  border: 1px solid #00377A;
  color: #00377A;
  padding: 15px;
  font-size: 16px;
  font-family: 'TheSans', sans-serif;
  /*width: 361px;*/
  width: 100%;
  height: 160px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  resize: vertical;
  border-radius: 10px;
}

.defaultform .textbox,
.defaultform .selectbox {
  display: block;
  width: 100%;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border: 1px solid #00377A;
  color: #00377A;
  padding: 15px;
  font-size: 16px;
  font-family: 'TheSans', sans-serif;
  background: #fff;
  border-radius: 10px;
}

.defaultform textarea:focus,
.defaultform textarea:focus-visible,
.defaultform .textbox:focus,
.defaultform select:focus {
  border: 1px solid #009CDA;
  outline: none;
}

.form-row.message textarea {
  width: 100%;
  clear: both;
}


/*** selectbox
******************************************************************/

.form-select select {
  display: inline-block;
  padding: 15px;
  width: 100%;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin-bottom: 20px;
  background: none;
  border: 1px solid #000;
  font-size: 16px;
}


/*** checkbox
******************************************************************/

.form-row .checkbox-text {
  padding-left: 10px;
}



/*** radiobuttons
******************************************************************/

.form-row input[type='radio'] {
  margin: 5px 5px 0 0;
  height: 20px;
}

.radiobutton-wrapper label {
  width: 80px;
}

.radiobuttons-wrapper input {
  float: left;
}

.radiobuttons-wrapper.rows {
  display: block;
  width: 600px;
  float:left;
  max-width: 100%;
}

.radiobuttons-wrapper.rows .radiobutton-wrapper {
  display: blocK;
  clear: both;
  float: none;
}

.radiobuttons-wrapper.rows .radiobutton-wrapper label {
  max-width: 550px;
}



/*** .postcode and place in one line
******************************************************************/

.form-row.postcode-place label {
  float: left;
  width: auto;
}

.form-row .form-postcode-place-label {
  float: left;
  width: 200px;
}

.form-row .form-postcode-place-label span {
  float: left;
  margin-top: 5px;
}

.form-row .form-postcode-place-input-wrapper {
  width: 100%;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.form-row .form-postcode-input,
.form-row .form-place-input {
  display: block;
  overflow: hidden;
}

.form-row .form-postcode-input {
  width: 100%;

}

.form-row .form-place-input {
  width: 100%;
  padding-left: 8px;
}

.form-row .form-postcode-input .textbox {
  width: 100% !important;
}

.form-row .form-place-input .textbox {
  width: 100% !important;
}

/*** .dateselector
******************************************************************/

.dateselector_day {
  width: 55px;
}

.dateselector_month {
  width: 55px;
}

.dateselector_year {
  width: 110px;
}

/* .dateselector_monthyear used in DateSelector2 */
.dateselector_monthyear {
  width: 200px;
}

.dateselector_textbox_day {
  width: 55px;
}

.dateselector_textbox_month {
  width: 55px;
}

.dateselector_textbox_year {
  width: 110px;
}

.datetimeselector_day {
  width: 55px;
}

.datetimeselector_month {
  width: 55px;
}

.datetimeselector_year {
  width: 110px;
}

.datetimeselector_hour {
  width: 110px;
}

.datetimeselector_minute {
  width: 110px;
}


/*** captcha
******************************************************************/
.form-row.captcha div {
  display: flex;
  flex-direction: column;
}

.form-row.captcha div img {
  max-width: 300px;
  margin-bottom: 8px;
}

.form-row.captcha div input {
  width: 100%;
  max-width: 300px;
}



/*** dataprotection
******************************************************************/
.form-row.dataprotection {
  max-width: 1000px;
}

.form-row.dataprotection p a,
.form-row.dataprotection strong {
  font-weight: bold;
}



/* upload */
.defaultform .form-row .imageupload {
  width: 100%;
}

.defaultform .form-row .imageupload .filepond--root {
  width: 100%;
}

/*** submit
******************************************************************/

.defaultform .form-submit-container {
  display: block;
  margin-top: 25px;
}

.defaultform .button-submit {
  border: none;
  cursor: pointer;
  font-size: 24px;
  font-weight: bold;
  color: #ffffff;
  background-color: #ff8c00;
  display: inline-block;
  min-width: 350px;
  padding: 15px;
  border-radius: 10px;
}

.defaultform .button-submit:hover {
  text-decoration: none;
  opacity: 1;
}

.pageelement-membershipform .form-submit-container .spinner-wrapper {
  transform: translate(155px, -36px);
}


.pageelement-membershipform .form-submit-container .spinner {
  width: 20px;
  height: 20px;
  border: 4px solid rgba(255, 255, 255, .1);
  border-top: 4px solid rgb(230, 230, 230);
  border-radius: 50%;
  animation: process-upload 1s linear infinite;
}


@keyframes process-upload {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media only screen and (max-width: 1550px) {
  .pageelement-membershipform .form-submit-container .spinner-wrapper {
    transform: translate(9px, -36px);
  }

  .pageelement-membershipform .button-submit {
    padding-left: 45px;
    padding-right: 45px;
  }
}

